org.apache.uima.jcas.cas

## Class NonEmptyFSList<T extends TOP>

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImplC
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.FSList<T>
      - - org.apache.uima.jcas.cas.NonEmptyFSList<T>

- All Implemented Interfaces:
    Cloneable, Iterable<T>, FeatureStructure, FeatureStructureImpl, CommonList, NonEmptyList

      public class NonEmptyFSList<T extends TOP>
      extends FSList<T>
      implements NonEmptyList

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `FeatureStructureImplC.PrintReferences`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `_FeatName_head`
    `static String` | `_FeatName_tail`
    `static String` | `_TypeName`
    `static int` | `type`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `_singleton`

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

    - ### Fields inherited from interface org.apache.uima.jcas.cas.CommonList

      `EMPTY_LIST_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonEmptyFSList()`
    `NonEmptyFSList(JCas jcas)`
    `NonEmptyFSList(JCas jcas, T head)` Generate a NonEmpty node with the specified head with the empty node as the tail
    `NonEmptyFSList(JCas jcas, T head, FSList<?> tail)` Generate a NonEmpty node with the specified head and tail
    `NonEmptyFSList(TypeImpl t, CASImpl c)` used by generator Make a new AnnotationBase

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NonEmptyFSList<T>` | `add(T item)` inserts the new item as a new NonEmpty FSList node following this item
    `T` | `getHead()`
    `T` | `getNthElement(int i)`
    `FSList<T>` | `getTail()`
    `int` | `getTypeIndexID()`
    `Iterator<T>` | `iterator()`
    `void` | `setHead(T vt)`
    `void` | `setTail(CommonList v)` sets the tail of this node
    `void` | `setTail(FSList v)`

    - ### Methods inherited from class org.apache.uima.jcas.cas.FSList

      `contains, create, createNonEmptyNode, emptyList, push, pushNode, select, select, select, select, select, stream`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `_createJCasHashMapReserve, _createSearchKey`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, equals, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, hashCode, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, toString, wrapGetIntCatchException`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.jcas.cas.CommonList

      `anyListToOutput, anyListToStringList, createNonEmptyNode, emptyList, get_headAsString, getCommonTail, getLength, getNonEmptyNthNode, getNthNode, insertNode, isEmpty, pushNode, set_headFromString, walkList_saxException, walkList`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### _TypeName

          public static final String _TypeName

      See Also:
        Constant Field Values

    - #### typeIndexID

          public static final int typeIndexID

    - #### type

          public static final int type

    - #### _FeatName_head

          public static final String _FeatName_head

      See Also:
        Constant Field Values

    - #### _FeatName_tail

          public static final String _FeatName_tail

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NonEmptyFSList

          public NonEmptyFSList()

    - #### NonEmptyFSList

          public NonEmptyFSList(JCas jcas)

    - #### NonEmptyFSList

          public NonEmptyFSList(TypeImpl t,
                                CASImpl c)

      used by generator Make a new AnnotationBase
      Parameters:
        `c` - -
        `t` - -

    - #### NonEmptyFSList

          public NonEmptyFSList(JCas jcas,
                                T head,
                                FSList<?> tail)

      Generate a NonEmpty node with the specified head and tail
      Parameters:
        `jcas` - -
        `head` - -
        `tail` - -

    - #### NonEmptyFSList

          public NonEmptyFSList(JCas jcas,
                                T head)

      Generate a NonEmpty node with the specified head with the empty node as the tail
      Parameters:
        `jcas` - -
        `head` - -

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      Overrides:
        `getTypeIndexID` in class `TOP`
      Returns:
        the type array index

    - #### getHead

          public T getHead()

    - #### setHead

          public void setHead(T vt)

    - #### getTail

          public FSList<T> getTail()

    - #### setTail

          public void setTail(FSList v)

    - #### setTail

          public void setTail(CommonList v)

      Description copied from interface: `CommonList`
      sets the tail of this node
      Specified by:
        `setTail` in interface `CommonList`
      Parameters:
        `v` - the tail

    - #### getNthElement

          public T getNthElement(int i)

      Overrides:
        `getNthElement` in class `FSList<T extends TOP>`

    - #### add

          public NonEmptyFSList<T> add(T item)

      inserts the new item as a new NonEmpty FSList node following this item
      Parameters:
        `item` - to be inserted
      Returns:
        the NonEmptyFSList node created

    - #### iterator

          public Iterator<T> iterator()

      Specified by:
        `iterator` in interface `Iterable<T extends TOP>`
      Overrides:
        `iterator` in class `FSList<T extends TOP>`

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.